/**
 * SECTION:AbstractMain
 * @short_description: The main class for all dock applications. All docks should extend this class. In the constructor, the string fields should be initialized to customize the dock.
 * @build_data_dir: Should be Build.DATADIR
 * @build_pkg_data_dir: Should be Build.PKGDATADIR
 * @build_release_name: Should be Build.RELEASE_NAME
 * @build_version: Should be Build.VERSION
 * @build_version_info: Should be Build.VERSION_INFO
 * @program_name: The displayed name of the program.
 * @exec_name: The executable name of the program.
 * @app_copyright: The copyright year(s).
 * @app_dbus: The (unique) dbus path for this program.
 * @plank_factories_abstract_main_dock_path: The name of the path containing the dock&apos;s preferences.
 * @app_icon: The name of this program&apos;s icon.
 * @app_launcher: The name of the launcher (.desktop file) for this program.
 * @main_url: The URL for this program&apos;s website.
 * @help_url: The URL for this program&apos;s help.
 * @translate_url: The URL for translating this program.
 * @about_authors: The list of authors (to show in about dialog).
 * @about_documenters: The list of documenters (to show in about dialog).
 * @about_artists: The list of artists (to show in about dialog).
 * @about_translators: The list of translators (to show in about dialog).
 * @about_license_type: The license of this program (to show in about dialog).
 * @application: The Application for preserving uniqueness
 * @plank_factories_abstract_main_DEBUG: If debug mode is enabled.
 * @plank_factories_abstract_main_VERBOSE: If verbose mode is enabled.
 * @plank_factories_abstract_main_about_dlg: The about dialog for the program.
 */
/**
 * PLANK_FACTORIES_TYPE_ABSTRACT_MAIN:
 * 
 * The type for <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link>.
 */
/**
 * plank_factories_abstract_main_run:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * @args: (inout) (array length=args_length1): &nbsp;.  the command-line arguments 
 * @args_length1: length of the @args array
 * 
 * Initializes the program, makes the dock and runs it.
 * 
 * Returns: the exit status value 
 */
/**
 * plank_factories_abstract_main_initialize_program:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Sets the program executable&apos;s name, traps signals and intializes logging.
 */
/**
 * plank_factories_abstract_main_parse_commandline:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * @args: (inout) (array length=args_length1): &nbsp;.  the command-line arguments 
 * @args_length1: length of the @args array
 * 
 * Parses the command-line for options, but does not set them.
 * 
 * Returns: whether the arguments were parsed successfully 
 */
/**
 * plank_factories_abstract_main_set_options:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Sets options based on the parsed command-line.
 */
/**
 * plank_factories_abstract_main_initialize_libraries:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * @args: (inout) (array length=args_length1): &nbsp;.  the command-line arguments 
 * @args_length1: length of the @args array
 * 
 * Initializes most libraries used (GTK, GDK, etc).
 * 
 * Returns: whether the libraries were intialized successfully 
 */
/**
 * plank_factories_abstract_main_initialize_services:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Initializes the Plank services.
 */
/**
 * plank_factories_abstract_main_create_controller:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Creates the dock controller.
 */
/**
 * plank_factories_abstract_main_is_launcher_for_dock:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * @launcher: (in): &nbsp;.  the launcher to test 
 * 
 * Is true if the launcher given is the launcher for this dock.
 */
/**
 * plank_factories_abstract_main_help:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Displays the help page.
 */
/**
 * plank_factories_abstract_main_translate:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Displays the translate page.
 */
/**
 * plank_factories_abstract_main_quit:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Quits the program.
 */
/**
 * plank_factories_abstract_main_on_item_clicked:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Called when a <link linkend="PlankItemsPlankDockItem"><type>PlankItemsPlankDockItem</type></link> is clicked.
 */
/**
 * plank_factories_abstract_main_show_about:
 * @self: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance
 * 
 * Displays the about dialog.
 */
/**
 * PLANK_FACTORIES_ABSTRACT_MAIN_options:
 * 
 * The default command-line options for the dock.
 */
/**
 * PlankFactoriesAbstractMain::initialized:
 * @abstract_main: the <link linkend="PlankFactoriesAbstractMain"><type>PlankFactoriesAbstractMain</type></link> instance that received the signal
 * 
 * Signal fired when the program is fully initialized, before creating and showing the dock.
 */
/**
 * PlankFactoriesAbstractMain:
 * @build_data_dir: Should be Build.DATADIR
 * @build_pkg_data_dir: Should be Build.PKGDATADIR
 * @build_release_name: Should be Build.RELEASE_NAME
 * @build_version: Should be Build.VERSION
 * @build_version_info: Should be Build.VERSION_INFO
 * @program_name: The displayed name of the program.
 * @exec_name: The executable name of the program.
 * @app_copyright: The copyright year(s).
 * @app_dbus: The (unique) dbus path for this program.
 * @plank_factories_abstract_main_dock_path: The name of the path containing the dock&apos;s preferences.
 * @app_icon: The name of this program&apos;s icon.
 * @app_launcher: The name of the launcher (.desktop file) for this program.
 * @main_url: The URL for this program&apos;s website.
 * @help_url: The URL for this program&apos;s help.
 * @translate_url: The URL for translating this program.
 * @about_authors: The list of authors (to show in about dialog).
 * @about_documenters: The list of documenters (to show in about dialog).
 * @about_artists: The list of artists (to show in about dialog).
 * @about_translators: The list of translators (to show in about dialog).
 * @about_license_type: The license of this program (to show in about dialog).
 * @application: The Application for preserving uniqueness
 * @plank_factories_abstract_main_DEBUG: If debug mode is enabled.
 * @plank_factories_abstract_main_VERBOSE: If verbose mode is enabled.
 * @plank_factories_abstract_main_about_dlg: The about dialog for the program.
 * 
 * The main class for all dock applications. All docks should extend this class. In the constructor, the string fields should be initialized to customize the dock.
 */
/**
 * PlankFactoriesAbstractMainClass:
 * @run: virtual method called by <link linkend="plank-factories-abstract-main-run"><function>plank_factories_abstract_main_run()</function></link>
 * @initialize_program: virtual method used internally
 * @parse_commandline: virtual method used internally
 * @set_options: virtual method used internally
 * @initialize_libraries: virtual method used internally
 * @initialize_services: virtual method used internally
 * @create_controller: virtual method used internally
 * @help: virtual method called by <link linkend="plank-factories-abstract-main-help"><function>plank_factories_abstract_main_help()</function></link>
 * @translate: virtual method called by <link linkend="plank-factories-abstract-main-translate"><function>plank_factories_abstract_main_translate()</function></link>
 * @quit: virtual method called by <link linkend="plank-factories-abstract-main-quit"><function>plank_factories_abstract_main_quit()</function></link>
 * @on_item_clicked: virtual method called by <link linkend="plank-factories-abstract-main-on-item-clicked"><function>plank_factories_abstract_main_on_item_clicked()</function></link>
 * @show_about: virtual method called by <link linkend="plank-factories-abstract-main-show-about"><function>plank_factories_abstract_main_show_about()</function></link>
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-FACTORIES-TYPE-ABSTRACT-MAIN:CAPS"><literal>PLANK_FACTORIES_TYPE_ABSTRACT_MAIN</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
