/**
 * SECTION:DockTheme
 * @short_description: A themed renderer for dock windows.
 */
/**
 * PLANK_DRAWING_TYPE_DOCK_THEME:
 * 
 * The type for <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link>.
 */
/**
 * plank_drawing_dock_theme_create_background:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @width: (in): &nbsp;.  the width of the background 
 * @height: (in): &nbsp;.  the height of the background 
 * @position: (in): &nbsp;.  the position of the dock 
 * @model: (in): &nbsp;.  existing surface to use as basis of new surface 
 * 
 * Creates a surface for the dock background.
 * 
 * Returns: a new dock surface with the background drawn on it 
 */
/**
 * plank_drawing_dock_theme_create_indicator:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @size: (in): &nbsp;.  the size of the indicator 
 * @color: (in): &nbsp;.  the color of the indicator 
 * @model: (in): &nbsp;.  existing surface to use as basis of new surface 
 * 
 * Creates a surface for an indicator.
 * 
 * Returns: a new dock surface with the indicator drawn on it 
 */
/**
 * plank_drawing_dock_theme_create_urgent_glow:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @size: (in): &nbsp;.  the size of the urgent glow 
 * @color: (in): &nbsp;.  the color of the urgent glow 
 * @model: (in): &nbsp;.  existing surface to use as basis of new surface 
 * 
 * Creates a surface for an urgent glow.
 * 
 * Returns: a new dock surface with the urgent glow drawn on it 
 */
/**
 * plank_drawing_dock_theme_draw_active_glow:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @surface: (in): &nbsp;.  the surface to draw onto 
 * @clip_rect: (in): &nbsp;.  the rect to clip the glow to 
 * @rect: (in): &nbsp;.  the rect for the glow 
 * @color: (in): &nbsp;.  the color of the glow 
 * @opacity: (in): &nbsp;.  the opacity of the glow 
 * @pos: (in): &nbsp;.  the dock&apos;s position 
 * 
 * Draws an active glow for an item.
 */
/**
 * plank_drawing_dock_theme_draw_item_count:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @surface: (in): &nbsp;.  the surface to draw the badge onto 
 * @icon_size: (in): &nbsp;.  the icon-size of the dock 
 * @color: (in): &nbsp;.  the color of the badge 
 * @count: (in): &nbsp;.  the number for the badge to show 
 * 
 * Draws a badge for an item.
 */
/**
 * plank_drawing_dock_theme_draw_item_progress:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance
 * @surface: (in): &nbsp;.  the surface to draw the progress onto 
 * @icon_size: (in): &nbsp;.  the icon-size of the dock 
 * @color: (in): &nbsp;.  the color of the progress 
 * @progress: (in): &nbsp;.  the value between 0.0 and 1.0 
 * 
 * Draws a progress bar for an item.
 */
/**
 * plank_drawing_dock_theme_new:
 * @name: &nbsp;
 */
/**
 * PlankDrawingDockTheme:horizontal-padding:
 */
/**
 * plank_drawing_dock_theme_get_HorizPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--horizontal-padding"><type>"horizontal-padding"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--horizontal-padding"><type>"horizontal-padding"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_HorizPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--horizontal-padding"><type>"horizontal-padding"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--horizontal-padding"><type>"horizontal-padding"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:top-padding:
 */
/**
 * plank_drawing_dock_theme_get_TopPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_TopPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:top-padding:
 */
/**
 * plank_drawing_dock_theme_get_BottomPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_BottomPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--top-padding"><type>"top-padding"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:item-padding:
 */
/**
 * plank_drawing_dock_theme_get_ItemPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--item-padding"><type>"item-padding"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--item-padding"><type>"item-padding"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_ItemPadding:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--item-padding"><type>"item-padding"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--item-padding"><type>"item-padding"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:indicator-size:
 */
/**
 * plank_drawing_dock_theme_get_IndicatorSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--indicator-size"><type>"indicator-size"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--indicator-size"><type>"indicator-size"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_IndicatorSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--indicator-size"><type>"indicator-size"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--indicator-size"><type>"indicator-size"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:icon-shadow-size:
 */
/**
 * plank_drawing_dock_theme_get_IconShadowSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--icon-shadow-size"><type>"icon-shadow-size"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--icon-shadow-size"><type>"icon-shadow-size"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_IconShadowSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--icon-shadow-size"><type>"icon-shadow-size"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--icon-shadow-size"><type>"icon-shadow-size"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:urgent-bounce:
 */
/**
 * plank_drawing_dock_theme_get_UrgentBounceHeight:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--urgent-bounce"><type>"urgent-bounce"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--urgent-bounce"><type>"urgent-bounce"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_UrgentBounceHeight:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--urgent-bounce"><type>"urgent-bounce"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--urgent-bounce"><type>"urgent-bounce"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:launch-bounce:
 */
/**
 * plank_drawing_dock_theme_get_LaunchBounceHeight:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--launch-bounce"><type>"launch-bounce"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--launch-bounce"><type>"launch-bounce"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_LaunchBounceHeight:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--launch-bounce"><type>"launch-bounce"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--launch-bounce"><type>"launch-bounce"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:fade-opacity:
 */
/**
 * plank_drawing_dock_theme_get_FadeOpacity:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--fade-opacity"><type>"fade-opacity"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--fade-opacity"><type>"fade-opacity"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_FadeOpacity:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--fade-opacity"><type>"fade-opacity"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--fade-opacity"><type>"fade-opacity"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:click-time:
 */
/**
 * plank_drawing_dock_theme_get_ClickTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--click-time"><type>"click-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--click-time"><type>"click-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_ClickTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--click-time"><type>"click-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--click-time"><type>"click-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:urgent-bounce-time:
 */
/**
 * plank_drawing_dock_theme_get_UrgentBounceTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--urgent-bounce-time"><type>"urgent-bounce-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--urgent-bounce-time"><type>"urgent-bounce-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_UrgentBounceTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--urgent-bounce-time"><type>"urgent-bounce-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--urgent-bounce-time"><type>"urgent-bounce-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:launch-bounce-time:
 */
/**
 * plank_drawing_dock_theme_get_LaunchBounceTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--launch-bounce-time"><type>"launch-bounce-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--launch-bounce-time"><type>"launch-bounce-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_LaunchBounceTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--launch-bounce-time"><type>"launch-bounce-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--launch-bounce-time"><type>"launch-bounce-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:active-time:
 */
/**
 * plank_drawing_dock_theme_get_ActiveTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--active-time"><type>"active-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--active-time"><type>"active-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_ActiveTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--active-time"><type>"active-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--active-time"><type>"active-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:slide-time:
 */
/**
 * plank_drawing_dock_theme_get_SlideTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--slide-time"><type>"slide-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--slide-time"><type>"slide-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_SlideTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--slide-time"><type>"slide-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--slide-time"><type>"slide-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:fade-time:
 */
/**
 * plank_drawing_dock_theme_get_FadeTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--fade-time"><type>"fade-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--fade-time"><type>"fade-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_FadeTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--fade-time"><type>"fade-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--fade-time"><type>"fade-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:hide-time:
 */
/**
 * plank_drawing_dock_theme_get_HideTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--hide-time"><type>"hide-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--hide-time"><type>"hide-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_HideTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--hide-time"><type>"hide-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--hide-time"><type>"hide-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:glow-size:
 */
/**
 * plank_drawing_dock_theme_get_GlowSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--glow-size"><type>"glow-size"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--glow-size"><type>"glow-size"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_GlowSize:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--glow-size"><type>"glow-size"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--glow-size"><type>"glow-size"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:glow-time:
 */
/**
 * plank_drawing_dock_theme_get_GlowTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--glow-time"><type>"glow-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--glow-time"><type>"glow-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_GlowTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--glow-time"><type>"glow-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--glow-time"><type>"glow-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:glow-pulse-time:
 */
/**
 * plank_drawing_dock_theme_get_GlowPulseTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--glow-pulse-time"><type>"glow-pulse-time"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--glow-pulse-time"><type>"glow-pulse-time"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_GlowPulseTime:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--glow-pulse-time"><type>"glow-pulse-time"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--glow-pulse-time"><type>"glow-pulse-time"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:urgent-hue-shift:
 */
/**
 * plank_drawing_dock_theme_get_UrgentHueShift:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockTheme--urgent-hue-shift"><type>"urgent-hue-shift"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockTheme--urgent-hue-shift"><type>"urgent-hue-shift"</type></link> property
 */
/**
 * plank_drawing_dock_theme_set_UrgentHueShift:
 * @self: the <link linkend="PlankDrawingDockTheme"><type>PlankDrawingDockTheme</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockTheme--urgent-hue-shift"><type>"urgent-hue-shift"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockTheme--urgent-hue-shift"><type>"urgent-hue-shift"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDrawingDockTheme:
 * 
 * A themed renderer for dock windows.
 */
/**
 * PlankDrawingDockThemeClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-DRAWING-TYPE-DOCK-THEME:CAPS"><literal>PLANK_DRAWING_TYPE_DOCK_THEME</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
