/**
 * SECTION:DockWindow
 * @short_description: The main window for all docks.
 * @menu: The popup menu for this dock.
 */
/**
 * PLANK_WIDGETS_TYPE_DOCK_WINDOW:
 * 
 * The type for <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link>.
 */
/**
 * plank_widgets_dock_window_set_hovered:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * @item: (in) (allow-none): &nbsp;.  the hovered item (if any) for this dock 
 * 
 * Sets the currently hovered item for this dock.
 */
/**
 * plank_widgets_dock_window_update_hovered:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * @x: (in): &nbsp;.  the cursor x position 
 * @y: (in): &nbsp;.  the cursor x position 
 * 
 * Determines if an item is hovered by the cursor at the x/y position.
 * 
 * Returns: if a dock item is hovered 
 */
/**
 * plank_widgets_dock_window_position_hover:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Repositions the hover window for the hovered item.
 */
/**
 * plank_widgets_dock_window_drag_item_changed:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Called when a dragged item changes.
 */
/**
 * plank_widgets_dock_window_update_size_and_position:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Sets the size of the dock window and repositions it if needed.
 */
/**
 * plank_widgets_dock_window_update_icon_regions:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Updates the icon regions for all items on the dock.
 */
/**
 * plank_widgets_dock_window_menu_is_visible:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * If the popup menu is currently visible.
 */
/**
 * plank_widgets_dock_window_show_menu:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * @button: (in): &nbsp;.  the button used to trigger the popup 
 * @show_plank_menu: (in): &nbsp;.  if the &apos;global&apos; menu should be shown 
 * 
 * Shows the popup menu.
 */
/**
 * plank_widgets_dock_window_on_menu_hide:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Called when the popup menu hides.
 */
/**
 * plank_widgets_dock_window_on_menu_show:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * 
 * Called when the popup menu shows.
 */
/**
 * plank_widgets_dock_window_position_menu:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance
 * @menu: (in): &nbsp;.  the popup menu to show 
 * @x: (out): &nbsp;.  the x location to show the menu 
 * @y: (out): &nbsp;.  the y location to show the menu 
 * @push_in: (out): &nbsp;.  if the menu should push into the screen 
 * 
 * Positions the popup menu.
 */
/**
 * plank_widgets_dock_window_new:
 * @controller: &nbsp;
 * 
 * Creates a new dock window.
 */
/**
 * PlankWidgetsDockWindow:controller:
 * 
 * The controller for this dock.
 */
/**
 * plank_widgets_dock_window_set_controller:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankWidgetsDockWindow--controller"><type>"controller"</type></link> property
 * 
 * Set the value of the <link linkend="PlankWidgetsDockWindow--controller"><type>"controller"</type></link> property to @value.
 * 
 * The controller for this dock.
 */
/**
 * PlankWidgetsDockWindow:HoveredItem:
 * 
 * The currently hovered item (if any).
 */
/**
 * plank_widgets_dock_window_get_HoveredItem:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankWidgetsDockWindow--HoveredItem"><type>"HoveredItem"</type></link> property.
 * 
 * The currently hovered item (if any).
 * 
 * Returns: the value of the <link linkend="PlankWidgetsDockWindow--HoveredItem"><type>"HoveredItem"</type></link> property
 */
/**
 * plank_widgets_dock_window_set_HoveredItem:
 * @self: the <link linkend="PlankWidgetsDockWindow"><type>PlankWidgetsDockWindow</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankWidgetsDockWindow--HoveredItem"><type>"HoveredItem"</type></link> property
 * 
 * Set the value of the <link linkend="PlankWidgetsDockWindow--HoveredItem"><type>"HoveredItem"</type></link> property to @value.
 * 
 * The currently hovered item (if any).
 */
/**
 * PlankWidgetsDockWindow:
 * @menu: The popup menu for this dock.
 * 
 * The main window for all docks.
 */
/**
 * PlankWidgetsDockWindowClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-WIDGETS-TYPE-DOCK-WINDOW:CAPS"><literal>PLANK_WIDGETS_TYPE_DOCK_WINDOW</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
